function onBegin()
	disableMovement()
	disableRetry()
	disablePause()
	player.DummyAutoAnimate=false
	player.Sprite:Play("asleep")
	setFlag("telewake", false)
	wait(7)
	player.Sprite:Play("wakeUp")
	wait(3)
	player.DummyAutoAnimate=true

end

function onEnd()
	enableMovement()
	enableRetry()
	enablePause()

end